PHP-инклюдинг в PhpHostBot

Дата публикации:
09.08.2007
Всего просмотров:
1522
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PhpHostBot 1.x
Уязвимые версии: PhpHostBot 1.06, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "svr_rootscript" в сценарии order/login.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[PhpHostBot-path]/order/login.php?svr_rootscript=[file]

URL производителя: idevspot.com/PhpHostBot.php

Решение: Установите последнюю версию 1.07 с сайта производителя.

или введите имя

CAPTCHA